API
API
Back to appIntroductionAuthenticationQuickstartCore conceptsUploading callsGetting resultsWebhooksPagination and searchErrorsRate limits and billing
Delete an action item DELETEGet distinct responsible party values in this project GETList action items with filtering and pagination GETUpdate an action item's status, priority, notes, or text fields PATCH
ReferenceAction items

List action items with filtering and pagination

GET/v1/projects/{projectId}/action-items

Authorization

ApiKeyAuth
X-API-Key<token>

Organization API key. Format: X-API-Key: at_live_...

In: header

Path Parameters

projectId*string
Formatuuid

Query Parameters

status?array<>
priority?array<>
responsibleParty?string
transcriptId?string
Formatuuid
from?string
Formatdate-time
to?string
Formatdate-time
search?string
page?integer
Formatint32
Default0
pageSize?integer
Formatint32
Default50
sortBy?string
Default"CREATED_AT"

Value in

  • "CREATED_AT"
  • "CALL_DATE"
  • "PRIORITY"
  • "STATUS"
sortDir?string
Default"DESC"

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

*/*

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/action-items"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "transcriptId": "8d42585a-2e55-4415-90e7-5325c62875f6",      "transcriptIndex": 0,      "callDate": "2019-08-24T14:15:22Z",      "callFilename": "string",      "description": "string",      "responsibleParty": "string",      "deadlineMentioned": "string",      "evidence": "string",      "status": "PENDING",      "priority": "LOW",      "notes": "string",      "completedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "isOverdue": true    }  ],  "totalCount": 0,  "pendingCount": 0,  "inProgressCount": 0,  "doneCount": 0,  "cancelledCount": 0,  "overdueCount": 0}

Get distinct responsible party values in this project GET

Previous Page

Update an action item's status, priority, notes, or text fields PATCH

Next Page